
/* linuxwin.h */

// (c) COPYRIGHT SOFTWARE SOURCE  2003
//     ALL RIGHTS RESERVED
//

#ifndef LINUXWIN
#define LINUXWIN

# ifndef WIN32
//#   define LINUX
# endif // not WIN32

#ifndef VOID
#define VOID void
typedef char CHAR;
typedef short SHORT;
typedef long LONG;
#endif // VOID

typedef unsigned long       DWORD;
typedef int                 BOOL;
typedef unsigned char       BYTE;
typedef unsigned short      WORD;
typedef float               FLOAT;
typedef FLOAT              *PFLOAT;
typedef BOOL               *LPBOOL;
typedef BYTE               *LPBYTE;
typedef int                *LPINT;
typedef WORD               *LPWORD;
typedef short              *LPSHORT;
typedef LONG               *LPLONG;
typedef unsigned long      *LPDWORD;
typedef void                *LPVOID;
typedef void                *PVOID;
typedef const void          *LPCVOID;
typedef CHAR               *LPSTR;

typedef int                 INT;
typedef unsigned int        UINT;
typedef unsigned long       ULONG;
typedef unsigned int       *PUINT;
typedef UINT                WPARAM;
typedef LONG                LPARAM;
typedef LONG                LRESULT;

typedef void               *HANDLE;
typedef HANDLE             *LPHANDLE;

#define FAR

#ifndef PASCAL
#define PASCAL
#endif // PASCAL

#define HFILE int
#define WINAPI      __stdcall
#define WINBASEAPI
#define LPVOID void *
#define LPCSTR char *

#define NORM_IGNORECASE     0x00000001  // ignore case

#ifndef FALSE
#define FALSE               0
#endif

#ifndef TRUE
#define TRUE                1
#endif

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#define LOCALE_SYSTEM_DEFAULT 1

#define OF_READ             0x00000000
#define OF_WRITE            0x00000001
#define OF_READWRITE        0x00000002
#define OF_SHARE_COMPAT     0x00000000
#define OF_SHARE_EXCLUSIVE  0x00000010
#define OF_SHARE_DENY_WRITE 0x00000020
#define OF_SHARE_DENY_READ  0x00000030
#define OF_SHARE_DENY_NONE  0x00000040
#define OF_PARSE            0x00000100
#define OF_DELETE           0x00000200
#define OF_VERIFY           0x00000400
#define OF_CANCEL           0x00000800
#define OF_CREATE           0x00001000
#define OF_PROMPT           0x00002000
#define OF_EXIST            0x00004000
#define OF_REOPEN           0x00008000

#define DLL_PROCESS_ATTACH  1    
#define DLL_THREAD_ATTACH   2    
#define DLL_THREAD_DETACH   3    
#define DLL_PROCESS_DETACH  0    

# ifdef LINUX
#   define _MAX_PATH         260
# endif // LINUX

#endif // LINUXWIN

/* end linuxwin.h */

